function c = grabcommentblock(trace)

c = file2char(trace.file,'cellstrs');
c = [c{trace.line+1:end}];
c = strfun.converteols(c);
tokens = regexp(c,'^[ \t]*%\{[ \t]*$(.*?)^[ \t]*%\}[ \t]*$', ...
    'tokens','once','lineanchors');
if ~isempty(tokens)
    c = tokens{1};
else
    c = '';
end

end